/// <reference types="react" />
import { TimelineProps, TimelineState } from "./types";
import ControlArea from "./HeaderArea/ControlArea";
import HeaderArea from "./HeaderArea/HeaderArea";
import ScrollArea from "./ScrollArea/ScrollArea";
import Scene, { SceneItem } from "scenejs";
import Dragger from "@daybrush/drag";
import { IObject } from "@daybrush/utils";
import PureProps from "react-pure-props";
export default class Timeline extends PureProps<TimelineProps, TimelineState> {
    static defaultProps: {
        keyboard: boolean;
        onSelect: () => void;
    };
    draggers: Dragger[];
    headerArea: HeaderArea;
    controlArea: ControlArea;
    scrollArea: ScrollArea;
    values: IObject<any>;
    state: TimelineState;
    private pinchDragger;
    private keyMap;
    constructor(props: any);
    render(): JSX.Element;
    componentDidMount(): void;
    componentDidUpdate(prevProps: TimelineProps): void;
    componentWillUnmount(): void;
    update: (isInit?: boolean) => void;
    prev: () => void;
    next(): void;
    finish: () => void;
    selectItem(scene: Scene | SceneItem): void;
    select(property: string, time?: number, isNotUpdate?: boolean): void;
    editKeyframe(index: number, value: any): void;
    togglePlay: () => void;
    setTime(time?: number): void;
    setZoom(zoom: number): void;
    getZoom(): number;
    getValues(): IObject<any>;
    openDialog(item?: Scene | SceneItem, properties?: string[]): void;
    move(clientX: number): void;
    private newItem;
    private newProperty;
    private getDistTime;
    private getTime;
    private moveCursor;
    private setInputs;
    private removeKeyframe;
    private addKeyframe;
    private animate;
    private initScene;
    private releaseScene;
    private initWheelZoom;
    private initScroll;
    private selectByKeyframe;
    private initDragKeyframes;
    private onBlur;
    private initKeyController;
}
