import Scene, { SceneItem, Frame } from "scenejs";
import { IObject } from "@daybrush/utils";
import ElementComponent from "./utils/ElementComponent";
export declare function numberFormat(num: number, count: number, isRight?: boolean): string;
export declare function applyStyle(el: HTMLElement, style: IObject<any>): void;
export declare function keys(value: object): string[];
export declare function toValue(value: any): any;
export declare function flatObject(obj: IObject<any>, newObj?: IObject<any>): IObject<any>;
export declare function getTarget<T extends HTMLElement>(target: T, conditionCallback: (el: Element) => boolean): T | null;
export declare function hasClass(target: Element, className: string): boolean;
export declare function addClass(target: Element, className: string): void;
export declare function removeClass(target: Element, className: string): void;
export declare function isScene(value: any): value is Scene;
export declare function isSceneItem(value: any): value is SceneItem;
export declare function isFrame(value: any): value is Frame;
export declare function splitProperty(scene: Scene, property: string): {
    item: SceneItem;
    names: string[];
    properties: string[];
};
export declare function getSceneItem(scene: Scene, names: string[]): SceneItem;
export declare function findElementIndexByPosition(elements: HTMLElement[], pos: number): number;
export declare function prefix(...classNames: string[]): string;
export declare function checkFolded(foldedInfo: IObject<any>, names: any[]): 0 | 1 | 2;
export declare function fold(target: ElementComponent<any, {
    foldedInfo: IObject<boolean>;
}>, foldedProperty: string, isNotUpdate?: boolean): void;
